
import Foundation
import App

abbrev = 'TUAkula'
iconName = 'TUAkula'
longName = 'Akula'
shipFile = 'TUAkula' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Akula-Class Series"
species = App.SPECIES_GALAXY

Foundation.ShipDef.TUAkula = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu})

Foundation.ShipDef.TUAkula.fMaxWarp = 9.25
Foundation.ShipDef.TUAkula.fCruiseWarp = 7.5
Foundation.ShipDef.TUAkula.desc = "The Akula-class starship is a 23rd century Destroyer and Escort vessel. The ship takes over from the oudated Saladin-class and is beleived to be the predesessor of the Challenger-class. The Akula-class was in active service for nearly 40 years, far out-classing any equivalent ships of the era, but as newer Excelsior-class and Ambassador-class ships came under construction, the remaining Akulas were reduced to perimeter defence and courier duties; before finally ending their careers as training vessels and museum peices./n/nThe Akula-class is fast and powerful for a Destroyer, the ship has strong forward facing weapons and shields, but because of the nature of quick assault ships the Akula lacks any rear defences. The Akula-class//' maneuverability makes up for this defensive weakness and it will easily perform sharp turns at high speeds to gain the advantage over slower Cruisers and Battleships."

Foundation.ShipDef.TUAkula.dTechs = {
	# Here comes the AdonisTMPWarmUp script config
	# The sequence describes the warm up, and it's reversed (timed correctly) on cool off
	# The numbers are moments in time
	# 2 requirements, the first moment is the normal texture, and the last moment
	# On the other hand, you can also use startTrack and stopTrack, with the same config, but you can time it differently, and use different textures (if you want)
	"AdonisTMPWarpStartUp": {
		"startTrack": {
			"akula04_glow": {
				0.0: "data/Models/Ships/TUAkula/High/akula04_glow.tga", 
				1.0: "data/Models/Ships/TUAkula/High/akula04a_glow.tga",
			}
		},
		# Added by X_TheUnknown_X: This extra bit is to fix the bug where the ship's grilles remain lit up even after warp.
		# Above, the texture was changed from 'akula04' to 'akula04a'. The below properly changes from 'akula04a' to 'akula04'.
		# You may wish to consider configuring any other ships with warp warm-up tech similarly to this one. Note, the 4.0 is to increase the cool-down delay.
		"stopTrack": {
			"akula04a_glow": {
				0.0: "data/Models/Ships/TUAkula/High/akula04a_glow.tga", 
				4.0: "data/Models/Ships/TUAkula/High/akula04_glow.tga",
			}
		}
	}
}

if menuGroup:           Foundation.ShipDef.TUAkula.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.TUAkula.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]