
import Foundation
import App

abbrev = 'TUTerranAkula'
iconName = 'TUTerranAkula'
longName = 'Terran Empire Akula'
shipFile = 'TUTerranAkula' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Akula-Class Series"
species = App.SPECIES_GALAXY

Foundation.ShipDef.TUTerranAkula = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu})

Foundation.ShipDef.TUTerranAkula.fMaxWarp = 9.25
Foundation.ShipDef.TUTerranAkula.fCruiseWarp = 7.5
Foundation.ShipDef.TUTerranAkula.desc = "The I.S.S. Phobos is the Akula's 'evil twin' from an alternate universe. Following the Terran Empire's design philosophy, the Phobos has much stronger hull armour and shields, as well as superior weapons systems. However, the ship has a poor sensor array and below-average engines and manoveurability. With the Phobos, it is best to use the powerful forward weapons to barrage the opponent and finish them off with bursts from the port and starbord phasers."

Foundation.ShipDef.TUTerranAkula.dTechs = {
	# Here comes the AdonisTMPWarmUp script config
	# The sequence describes the warm up, and it's reversed (timed correctly) on cool off
	# The numbers are moments in time
	# 2 requirements, the first moment is the normal texture, and the last moment
	# On the other hand, you can also use startTrack and stopTrack, with the same config, but you can time it differently, and use different textures (if you want)
	"AdonisTMPWarpStartUp": {
		"startTrack": {
			"akula04_glow": {
				0.0: "data/Models/Ships/TUTerranAkula/High/terranakula04_glow.tga", 
				1.0: "data/Models/Ships/TUTerranAkula/High/terranakula04a_glow.tga",
			}
		},
		# Added by X_TheUnknown_X: This extra bit is to fix the bug where the ship's grilles remain lit up even after warp.
		# Above, the texture was changed from 'akula04' to 'akula04a'. The below properly changes from 'akula04a' to 'akula04'.
		# You may wish to consider configuring any other ships with warp warm-up tech similarly to this one. Note, the 4.0 is to increase the cool-down delay.
		"stopTrack": {
			"akula04a_glow": {
				0.0: "data/Models/Ships/TUTerranAkula/High/terranakula04a_glow.tga", 
				4.0: "data/Models/Ships/TUTerranAkula/High/terranakula04_glow.tga",
			}
		}
	}
}

if menuGroup:           Foundation.ShipDef.TUTerranAkula.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.TUTerranAkula.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]