###############################################################################
#
#	TMP Photon Torpedo (Terran Empire)
#
#	Created: 17/9/09	By: The_Unknown
###############################################################################

import App

###############################################################################
#	Create(pTorp)
#	
#	Creates a photon torpedo.
#	
#	Args:	pTorp - the torpedo, ready to be filled-in
#	
#	Return:	zero
###############################################################################
def Create(pTorp):

	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(200.0 / 255.0, 0.0 / 255.0, 0.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 200.0 / 255.0, 0.0 / 255.0, 1.000000)

	# Params are:

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/TorpedoCore.tga",
					kCoreColor, 
					0.05,
					2.0,	 
					"data/textures/tactical/TUTMPPhotonGlow.tga", 
					kGlowColor,
					3.0,	
					0.5,	 
					0.5,	
					"data/textures/tactical/TorpedoCore.tga",
					kGlowColor,										
					10,		
					0.3,		
					0.1)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.10)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.PHOTON)

	return(0)

def GetLaunchSpeed():
	return(27.5)

def GetLaunchSound():
	return("TerranTMPPhoton")

def GetPowerCost():
	return(20.0)

def GetName():
	return("Photon Torpedo")

def GetDamage():
	return 875.0

def GetGuidanceLifetime():
	return 4.5

def GetMaxAngularAccel():
	return 0.17

def GetLifetime():
	return 20.0
